using SqlSugar;
using System;
using System.Collections.Generic;
using System.Runtime.Serialization;
using System.Text;
using System.Xml.Linq;

namespace SlnMesnac.Model.domain
{
    [SugarTable("BASE_MATERIALINFO"), TenantAttribute("AUCMA_MES")]
    
    public class BaseMaterialInfo
    {
        /// <summary>
        /// 主键标识 
        ///</summary>
        [SugarColumn(ColumnName = "OBJ_ID", IsPrimaryKey = true, IsIdentity = true, OracleSequenceName = "SEQNAME")]
        public int ObjId { get; set; }

        /// <summary>
        /// 物料编号
        /// </summary>
        [SugarColumn(ColumnName = "MATERIAL_CODE")]
        public string MaterialCode { get; set; }

        /// <summary>
        /// 物料名称
        /// </summary>
        [SugarColumn(ColumnName = "MATERIAL_NAME")]
        public string MaterialName { get; set; }
        /// <summary>
        /// 物料小类
        /// </summary>
        [SugarColumn(ColumnName = "MATERIAL_SUBCLASS")]
        public string MaterialSubclass { get; set; }

        /// <summary>
        /// 物料sap类型，FERT成品
        /// </summary>
        [SugarColumn(ColumnName = "MATERIAL_TYPE")]
        public string MaterialType { get; set; }
    }
}
